---
document: modulemd
version: 2
data:
  name: idm
  stream: "DL1"
  version: 8070020230113093555
  context: 93c20af6
  arch: x86_64
  summary: The Red Hat Enterprise Linux Identity Management system module
  description: >-
    RHEL IdM is an integrated solution to provide centrally managed Identity (users,
    hosts, services), Authentication (SSO, 2FA), and Authorization (host access control,
    SELinux user roles, services). The solution provides features for further integration
    with Linux based clients (SUDO, automount) and integration with Active Directory
    based infrastructures (Trusts).
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      389-ds: [1.4]
      httpd: [2.4]
      pki-core: [10.6]
      platform: [el8]
    requires:
      389-ds: [1.4]
      httpd: [2.4]
      pki-core: [10.6]
      platform: [el8]
  references:
    community: https://www.freeipa.org/
    documentation: https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/linux_domain_identity_authentication_and_policy_guide/index
    tracker: https://pagure.io/freeipa/issues
  profiles:
    adtrust:
      description: RHEL IdM Server Integration with Active Directory
      rpms:
      - ipa-healthcheck
      - ipa-healthcheck-core
      - ipa-server-trust-ad
    client:
      description: RHEL IdM Client
      rpms:
      - ipa-client
    common:
      description: A default profile for RHEL IdM client
      rpms:
      - ipa-client
    dns:
      description: RHEL IdM with integrated DNS server and integrated CA
      rpms:
      - ipa-healthcheck
      - ipa-healthcheck-core
      - ipa-server
      - ipa-server-dns
    server:
      description: Base RHEL IdM Server with integrated CA and no integrated DNS
      rpms:
      - ipa-healthcheck
      - ipa-healthcheck-core
      - ipa-server
  components:
    rpms:
      bind-dyndb-ldap:
        rationale: Driver for BIND to store DNS information in LDAP
        ref: 3dd33bb369a9494bc9017c55c93a97b137af8d3b
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      custodia:
        rationale: Remote access to secrets and credentials in IdM topology
        ref: 3dcc514c1bd3039f50af0f8de0d402d0647ba5f1
        buildorder: 2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      ipa:
        rationale: Module API
        ref: 105d30c14d12a0018518da0cdd08d9150965b6ed
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      ipa-healthcheck:
        rationale: A tool to detect issues in IdM clusters
        ref: 31f66868f82846089ed9cdd83df2d87c0ae102d7
        buildorder: 3
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      opendnssec:
        rationale: An implementation of DNSSEC support for IdM integrated DNS server
        ref: 1257e0654f63f084ac2ca95f4e9f9b91de782345
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-jwcrypto:
        rationale: JSON Web Cryptographic Tokens used by Custodia
        ref: c103a14966d00b047c9aedddb1d150dcc638c2a5
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-kdcproxy:
        rationale: MS-KKDCP (kerberos proxy) WSGI module
        ref: 9dda214e02d36f8ba62f73c02947cd08d7857934
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-qrcode:
        rationale: QR code generator for IdM two-factor authentication
        ref: dca3a8eb810cb4fdc55764c19e4aba767499cbfb
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-yubico:
        rationale: Support for Yubikey-based tokens for IdM two-factor authentication
        ref: 5ea8d56006d5c7f0ed3481524c48089280479883
        buildorder: 2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      pyusb:
        rationale: Python USB support to access USB tokens for IdM two-factor authentication
        ref: 28b3b4d235fbab063376dd2e783763148e5a9d21
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      slapi-nis:
        rationale: Compatibility plugin to serve legacy clients
        ref: a0a59d6127824ac5526ca8d9ef7be404bb698985
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      softhsm:
        rationale: Software version of a PKCS#11 Hardware Security Module
        ref: dc5f331d9c2c32397fcb29c84df1e04d62e9c4f9
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - bind-dyndb-ldap-0:11.6-4.module_el8.6.0+3339+9b5fdd22.src
    - bind-dyndb-ldap-0:11.6-4.module_el8.6.0+3339+9b5fdd22.x86_64
    - bind-dyndb-ldap-debuginfo-0:11.6-4.module_el8.6.0+3339+9b5fdd22.x86_64
    - bind-dyndb-ldap-debugsource-0:11.6-4.module_el8.6.0+3339+9b5fdd22.x86_64
    - custodia-0:0.6.0-3.module_el8.6.0+2881+2f24dc92.noarch
    - custodia-0:0.6.0-3.module_el8.6.0+2881+2f24dc92.src
    - ipa-0:4.9.10-9.module_el8.7.0+3388+f808b7c4.src
    - ipa-client-0:4.9.10-9.module_el8.7.0+3388+f808b7c4.x86_64
    - ipa-client-common-0:4.9.10-9.module_el8.7.0+3388+f808b7c4.noarch
    - ipa-client-debuginfo-0:4.9.10-9.module_el8.7.0+3388+f808b7c4.x86_64
    - ipa-client-epn-0:4.9.10-9.module_el8.7.0+3388+f808b7c4.x86_64
    - ipa-client-samba-0:4.9.10-9.module_el8.7.0+3388+f808b7c4.x86_64
    - ipa-common-0:4.9.10-9.module_el8.7.0+3388+f808b7c4.noarch
    - ipa-debuginfo-0:4.9.10-9.module_el8.7.0+3388+f808b7c4.x86_64
    - ipa-debugsource-0:4.9.10-9.module_el8.7.0+3388+f808b7c4.x86_64
    - ipa-healthcheck-0:0.7-14.module_el8.7.0+3349+cfeff52e.noarch
    - ipa-healthcheck-0:0.7-14.module_el8.7.0+3349+cfeff52e.src
    - ipa-healthcheck-core-0:0.7-14.module_el8.7.0+3349+cfeff52e.noarch
    - ipa-python-compat-0:4.9.10-9.module_el8.7.0+3388+f808b7c4.noarch
    - ipa-selinux-0:4.9.10-9.module_el8.7.0+3388+f808b7c4.noarch
    - ipa-server-0:4.9.10-9.module_el8.7.0+3388+f808b7c4.x86_64
    - ipa-server-common-0:4.9.10-9.module_el8.7.0+3388+f808b7c4.noarch
    - ipa-server-debuginfo-0:4.9.10-9.module_el8.7.0+3388+f808b7c4.x86_64
    - ipa-server-dns-0:4.9.10-9.module_el8.7.0+3388+f808b7c4.noarch
    - ipa-server-trust-ad-0:4.9.10-9.module_el8.7.0+3388+f808b7c4.x86_64
    - ipa-server-trust-ad-debuginfo-0:4.9.10-9.module_el8.7.0+3388+f808b7c4.x86_64
    - opendnssec-0:2.1.7-1.module_el8.6.0+2881+2f24dc92.src
    - opendnssec-0:2.1.7-1.module_el8.6.0+2881+2f24dc92.x86_64
    - opendnssec-debuginfo-0:2.1.7-1.module_el8.6.0+2881+2f24dc92.x86_64
    - opendnssec-debugsource-0:2.1.7-1.module_el8.6.0+2881+2f24dc92.x86_64
    - python-jwcrypto-0:0.5.0-1.1.module_el8.7.0+3349+cfeff52e.src
    - python-kdcproxy-0:0.4-5.module_el8.7.0+3388+f808b7c4.src
    - python-qrcode-0:5.1-12.module_el8.6.0+2881+2f24dc92.src
    - python-yubico-0:1.3.2-9.1.module_el8.7.0+3349+cfeff52e.src
    - python3-custodia-0:0.6.0-3.module_el8.6.0+2881+2f24dc92.noarch
    - python3-ipaclient-0:4.9.10-9.module_el8.7.0+3388+f808b7c4.noarch
    - python3-ipalib-0:4.9.10-9.module_el8.7.0+3388+f808b7c4.noarch
    - python3-ipaserver-0:4.9.10-9.module_el8.7.0+3388+f808b7c4.noarch
    - python3-ipatests-0:4.9.10-9.module_el8.7.0+3388+f808b7c4.noarch
    - python3-jwcrypto-0:0.5.0-1.1.module_el8.7.0+3349+cfeff52e.noarch
    - python3-kdcproxy-0:0.4-5.module_el8.7.0+3388+f808b7c4.noarch
    - python3-pyusb-0:1.0.0-9.1.module_el8.7.0+3349+cfeff52e.noarch
    - python3-qrcode-0:5.1-12.module_el8.6.0+2881+2f24dc92.noarch
    - python3-qrcode-core-0:5.1-12.module_el8.6.0+2881+2f24dc92.noarch
    - python3-yubico-0:1.3.2-9.1.module_el8.7.0+3349+cfeff52e.noarch
    - pyusb-0:1.0.0-9.1.module_el8.7.0+3349+cfeff52e.src
    - slapi-nis-0:0.60.0-1.module_el8.6.0+3339+9b5fdd22.src
    - slapi-nis-0:0.60.0-1.module_el8.6.0+3339+9b5fdd22.x86_64
    - slapi-nis-debuginfo-0:0.60.0-1.module_el8.6.0+3339+9b5fdd22.x86_64
    - slapi-nis-debugsource-0:0.60.0-1.module_el8.6.0+3339+9b5fdd22.x86_64
    - softhsm-0:2.6.0-5.module_el8.6.0+2881+2f24dc92.src
    - softhsm-0:2.6.0-5.module_el8.6.0+2881+2f24dc92.x86_64
    - softhsm-debuginfo-0:2.6.0-5.module_el8.6.0+2881+2f24dc92.x86_64
    - softhsm-debugsource-0:2.6.0-5.module_el8.6.0+2881+2f24dc92.x86_64
    - softhsm-devel-0:2.6.0-5.module_el8.6.0+2881+2f24dc92.x86_64
...
---
document: modulemd
version: 2
data:
  name: idm-devel
  stream: "DL1"
  version: 8070020230113093555
  context: 93c20af6
  arch: x86_64
  summary: The Red Hat Enterprise Linux Identity Management system module
  description: >-
    RHEL IdM is an integrated solution to provide centrally managed Identity (users,
    hosts, services), Authentication (SSO, 2FA), and Authorization (host access control,
    SELinux user roles, services). The solution provides features for further integration
    with Linux based clients (SUDO, automount) and integration with Active Directory
    based infrastructures (Trusts).
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      389-ds: [1.4]
      httpd: [2.4]
      pki-core: [10.6]
      platform: [el8]
    requires:
      389-ds: [1.4]
      httpd: [2.4]
      idm: [DL1]
      pki-core: [10.6]
      platform: [el8]
  references:
    community: https://www.freeipa.org/
    documentation: https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/linux_domain_identity_authentication_and_policy_guide/index
    tracker: https://pagure.io/freeipa/issues
  profiles:
    adtrust:
      description: RHEL IdM Server Integration with Active Directory
      rpms:
      - ipa-healthcheck
      - ipa-healthcheck-core
      - ipa-server-trust-ad
    client:
      description: RHEL IdM Client
      rpms:
      - ipa-client
    common:
      description: A default profile for RHEL IdM client
      rpms:
      - ipa-client
    dns:
      description: RHEL IdM with integrated DNS server and integrated CA
      rpms:
      - ipa-healthcheck
      - ipa-healthcheck-core
      - ipa-server
      - ipa-server-dns
    server:
      description: Base RHEL IdM Server with integrated CA and no integrated DNS
      rpms:
      - ipa-healthcheck
      - ipa-healthcheck-core
      - ipa-server
  components:
    rpms:
      bind-dyndb-ldap:
        rationale: Driver for BIND to store DNS information in LDAP
        ref: 3dd33bb369a9494bc9017c55c93a97b137af8d3b
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      custodia:
        rationale: Remote access to secrets and credentials in IdM topology
        ref: 3dcc514c1bd3039f50af0f8de0d402d0647ba5f1
        buildorder: 2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      ipa:
        rationale: Module API
        ref: 105d30c14d12a0018518da0cdd08d9150965b6ed
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      ipa-healthcheck:
        rationale: A tool to detect issues in IdM clusters
        ref: 31f66868f82846089ed9cdd83df2d87c0ae102d7
        buildorder: 3
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      opendnssec:
        rationale: An implementation of DNSSEC support for IdM integrated DNS server
        ref: 1257e0654f63f084ac2ca95f4e9f9b91de782345
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-jwcrypto:
        rationale: JSON Web Cryptographic Tokens used by Custodia
        ref: c103a14966d00b047c9aedddb1d150dcc638c2a5
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-kdcproxy:
        rationale: MS-KKDCP (kerberos proxy) WSGI module
        ref: 9dda214e02d36f8ba62f73c02947cd08d7857934
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-qrcode:
        rationale: QR code generator for IdM two-factor authentication
        ref: dca3a8eb810cb4fdc55764c19e4aba767499cbfb
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-yubico:
        rationale: Support for Yubikey-based tokens for IdM two-factor authentication
        ref: 5ea8d56006d5c7f0ed3481524c48089280479883
        buildorder: 2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      pyusb:
        rationale: Python USB support to access USB tokens for IdM two-factor authentication
        ref: 28b3b4d235fbab063376dd2e783763148e5a9d21
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      slapi-nis:
        rationale: Compatibility plugin to serve legacy clients
        ref: a0a59d6127824ac5526ca8d9ef7be404bb698985
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      softhsm:
        rationale: Software version of a PKCS#11 Hardware Security Module
        ref: dc5f331d9c2c32397fcb29c84df1e04d62e9c4f9
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
...
